Retrieve all orgs, filter by query
curl --request GET \
--url https://api.zivio.net/api/v3/orgs \
--header 'X-API-Key: <api-key>' \
--header 'zivio-tenant-id: <api-key>'import requests
url = "https://api.zivio.net/api/v3/orgs"
headers = {
"X-API-Key": "<api-key>",
"zivio-tenant-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', 'zivio-tenant-id': '<api-key>'}
};
fetch('https://api.zivio.net/api/v3/orgs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"orgs": [
{
"id": "23",
"name": "Demonstration Inc.",
"is_external_client": "false",
"url": "www.example.com",
"billing_email": "billing@example.com",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-12-25",
"address": {
"id": "326",
"line1": "326",
"line2": "Westbourne Grove",
"city": "Brighton",
"region": "East Sussex",
"postcode": "BN99 9XX",
"country_code": "GB",
"formatted": "326, Westbourne Grove, Brighton, East Sussex, BN99 9XX, United Kingdom"
},
"invoice_address": {
"id": "326",
"line1": "326",
"line2": "Westbourne Grove",
"city": "Brighton",
"region": "East Sussex",
"postcode": "BN99 9XX",
"country_code": "GB",
"formatted": "326, Westbourne Grove, Brighton, East Sussex, BN99 9XX, United Kingdom"
},
"custom_fields": {
"key": "value"
},
"settings": {
"default_fee_methodology": "markup",
"cis_contractor": "true",
"payment_terms_in_days": "30"
}
}
]
}Orgs
Retrieve all orgs, filter by query
GET
/
orgs
Retrieve all orgs, filter by query
Query Parameters
Query string. Match by name
Number of results returned per request
Paginate results when number of results exceeds limit
Date range [2020-01-01+TO+2020-01-30], to search based on created timestamp for object.
Date range [2020-01-01+TO+2020-01-30] to search based on updated timestamp for object.
Results are sorted by created desc as default. Ordering may be specified, available options are ['created', 'updated'], which can be combined in a comma separated list, e.g. updated:desc,created:asc
Response
ok
Show child attributes
Show child attributes
⌘I

